org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class PageRankTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.PageRankTest

- Direct Known Subclasses:
    PageRankTest.Traversals

      public abstract class PageRankTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PageRankTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PageRankTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_hasLabelXpersonX_pageRank_byXpageRankX_order_byXpageRankX_valueMapXname_pageRankX()`
    `void` | `g_V_hasLabelXsoftwareX_hasXname_rippleX_pageRankX1X_byXinEXcreatedXX_timesX1X_byXpriorsX_inXcreatedX_unionXboth__identityX_valueMapXname_priorsX()`
    `void` | `g_V_outXcreatedX_groupXmX_byXlabelX_pageRankX1X_byXpageRankX_byXinEX_timesX1X_inXcreatedX_groupXmX_byXpageRankX_capXmX()`
    `void` | `g_V_outXcreatedX_pageRank_byXbothEX_byXprojectRankX_valueMapXname_projectRankX()`
    `void` | `g_V_pageRank_byXoutEXknowsXX_byXfriendRankX_valueMapXname_friendRankX()`
    `void` | `g_V_pageRank_byXpageRankX_asXaX_outXknowsX_pageRank_asXbX_selectXa_bX()`
    `void` | `g_V_pageRank_order_byXpageRank_decrX_name_limitX2X()`
    `void` | `g_V_pageRank_order_byXpageRank_decrX_name()`
    `void` | `g_V_pageRank()`
    `abstract Traversal<Vertex,Map<String,List<Object>>>` | `get_g_V_hasLabelXpersonX_pageRank_byXpageRankX_order_byXpageRankX_valueMapXname_pageRankX()`
    `abstract Traversal<Vertex,Map<String,List<Object>>>` | `get_g_V_hasLabelXsoftwareX_hasXname_rippleX_pageRankX1X_byXinEXcreatedXX_timesX1X_byXpriorsX_inXcreatedX_unionXboth__identityX_valueMapXname_priorsX()`
    `abstract Traversal<Vertex,Map<Object,List<Vertex>>>` | `get_g_V_outXcreatedX_groupXmX_byXlabelX_pageRankX1X_byXpageRankX_byXinEX_timesX1X_inXcreatedX_groupXmX_byXpageRankX_capXmX()`
    `abstract Traversal<Vertex,Map<String,List<Object>>>` | `get_g_V_outXcreatedX_pageRank_byXbothEX_byXprojectRankX_timesX0X_valueMapXname_projectRankX()`
    `abstract Traversal<Vertex,Map<String,List<Object>>>` | `get_g_V_pageRank_byXoutEXknowsXX_byXfriendRankX_valueMapXname_friendRankX()`
    `abstract Traversal<Vertex,Map<String,Object>>` | `get_g_V_pageRank_byXpageRankX_asXaX_outXknowsX_pageRank_asXbX_selectXa_bX()`
    `abstract Traversal<Vertex,String>` | `get_g_V_pageRank_order_byXpageRank_decrX_name_limitX2X()`
    `abstract Traversal<Vertex,String>` | `get_g_V_pageRank_order_byXpageRank_decrX_name()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_pageRank()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PageRankTest

          public PageRankTest()

  - ### Method Detail

    - #### get_g_V_pageRank

          public abstract Traversal<Vertex,Vertex> get_g_V_pageRank()

    - #### get_g_V_outXcreatedX_pageRank_byXbothEX_byXprojectRankX_timesX0X_valueMapXname_projectRankX

          public abstract Traversal<Vertex,Map<String,List<Object>>> get_g_V_outXcreatedX_pageRank_byXbothEX_byXprojectRankX_timesX0X_valueMapXname_projectRankX()

    - #### get_g_V_pageRank_order_byXpageRank_decrX_name

          public abstract Traversal<Vertex,String> get_g_V_pageRank_order_byXpageRank_decrX_name()

    - #### get_g_V_pageRank_order_byXpageRank_decrX_name_limitX2X

          public abstract Traversal<Vertex,String> get_g_V_pageRank_order_byXpageRank_decrX_name_limitX2X()

    - #### get_g_V_pageRank_byXoutEXknowsXX_byXfriendRankX_valueMapXname_friendRankX

          public abstract Traversal<Vertex,Map<String,List<Object>>> get_g_V_pageRank_byXoutEXknowsXX_byXfriendRankX_valueMapXname_friendRankX()

    - #### get_g_V_hasLabelXpersonX_pageRank_byXpageRankX_order_byXpageRankX_valueMapXname_pageRankX

          public abstract Traversal<Vertex,Map<String,List<Object>>> get_g_V_hasLabelXpersonX_pageRank_byXpageRankX_order_byXpageRankX_valueMapXname_pageRankX()

    - #### get_g_V_pageRank_byXpageRankX_asXaX_outXknowsX_pageRank_asXbX_selectXa_bX

          public abstract Traversal<Vertex,Map<String,Object>> get_g_V_pageRank_byXpageRankX_asXaX_outXknowsX_pageRank_asXbX_selectXa_bX()

    - #### get_g_V_hasLabelXsoftwareX_hasXname_rippleX_pageRankX1X_byXinEXcreatedXX_timesX1X_byXpriorsX_inXcreatedX_unionXboth__identityX_valueMapXname_priorsX

          public abstract Traversal<Vertex,Map<String,List<Object>>> get_g_V_hasLabelXsoftwareX_hasXname_rippleX_pageRankX1X_byXinEXcreatedXX_timesX1X_byXpriorsX_inXcreatedX_unionXboth__identityX_valueMapXname_priorsX()

    - #### get_g_V_outXcreatedX_groupXmX_byXlabelX_pageRankX1X_byXpageRankX_byXinEX_timesX1X_inXcreatedX_groupXmX_byXpageRankX_capXmX

          public abstract Traversal<Vertex,Map<Object,List<Vertex>>> get_g_V_outXcreatedX_groupXmX_byXlabelX_pageRankX1X_byXpageRankX_byXinEX_timesX1X_inXcreatedX_groupXmX_byXpageRankX_capXmX()

    - #### g_V_pageRank

          public void g_V_pageRank()

    - #### g_V_outXcreatedX_pageRank_byXbothEX_byXprojectRankX_valueMapXname_projectRankX

          public void g_V_outXcreatedX_pageRank_byXbothEX_byXprojectRankX_valueMapXname_projectRankX()

    - #### g_V_pageRank_order_byXpageRank_decrX_name

          public void g_V_pageRank_order_byXpageRank_decrX_name()

    - #### g_V_pageRank_byXoutEXknowsXX_byXfriendRankX_valueMapXname_friendRankX

          public void g_V_pageRank_byXoutEXknowsXX_byXfriendRankX_valueMapXname_friendRankX()

    - #### g_V_pageRank_order_byXpageRank_decrX_name_limitX2X

          public void g_V_pageRank_order_byXpageRank_decrX_name_limitX2X()

    - #### g_V_hasLabelXpersonX_pageRank_byXpageRankX_order_byXpageRankX_valueMapXname_pageRankX

          public void g_V_hasLabelXpersonX_pageRank_byXpageRankX_order_byXpageRankX_valueMapXname_pageRankX()

    - #### g_V_pageRank_byXpageRankX_asXaX_outXknowsX_pageRank_asXbX_selectXa_bX

          public void g_V_pageRank_byXpageRankX_asXaX_outXknowsX_pageRank_asXbX_selectXa_bX()

    - #### g_V_hasLabelXsoftwareX_hasXname_rippleX_pageRankX1X_byXinEXcreatedXX_timesX1X_byXpriorsX_inXcreatedX_unionXboth__identityX_valueMapXname_priorsX

          public void g_V_hasLabelXsoftwareX_hasXname_rippleX_pageRankX1X_byXinEXcreatedXX_timesX1X_byXpriorsX_inXcreatedX_unionXboth__identityX_valueMapXname_priorsX()

    - #### g_V_outXcreatedX_groupXmX_byXlabelX_pageRankX1X_byXpageRankX_byXinEX_timesX1X_inXcreatedX_groupXmX_byXpageRankX_capXmX

          public void g_V_outXcreatedX_groupXmX_byXlabelX_pageRankX1X_byXpageRankX_byXinEX_timesX1X_inXcreatedX_groupXmX_byXpageRankX_capXmX()

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.